system-config-printer (1.5.9+20170804-0ubuntu2) artful; urgency=medium

  * debian/control.in: Added dependency on gir1.2-secret-1 in
    debian/control.in and not debian/control (LP: #1709572).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 09 Aug 2017 09:47:05 -0300

system-config-printer (1.5.9+20170804-0ubuntu1) artful; urgency=medium

  * New upstream release
    - GIT snapshot from August  4, 2017, after 1.5.9 release
    - Use libsecret instead of libgnome-keyring.
    - Do not start the applet on GNOME and Cinnamon desktops.
  * debian/control: Let system-config-printer-common depend on
    gir1.2-secret-1 instead of on gir1.2-gnomekeyring-1.0.
  * Refreshed patches with quilt:
    0006-use-paper-size-default-in-etc-papersize.patch,
    0007-fix-pk-package-name.patch,
    05_menu_entries.patch
  * Manually updated the patches:
    0010-no-start-printer-applet-gnome.patch

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 04 Aug 2017 19:59:05 -0300

system-config-printer (1.5.9+20170619-0ubuntu1) artful; urgency=medium

  * New upstream release
    - GIT snapshot from June 19, 2017, after 1.5.9 release
    - Determine IP addresses of discovered network printers to find out
      whether discovered entries come from the same physical device
    - Let USB entries from the printing and from the fax part of the
      same multi-function printer appear together.
    - Debug output for assignments of discovered entries to physical
      devices.
    - Consider the CUPS backends "driverless" and "bjnp" as network
      printer backends.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 19 Jun 2017 16:48:59 -0300

system-config-printer (1.5.9+20170526-0ubuntu2) artful; urgency=medium

  * Fix path for the installation of debug.py and smburi.py.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 13 Jun 2017 21:15:26 -0400

system-config-printer (1.5.9+20170526-0ubuntu1) artful; urgency=medium

  * New upstream release
    - GIT snapshot from May 26, 2017, after 1.5.9 release
    - Upstreamized the following patches:
      + 40_do-not-show-media-col-option.patch
      + 43_options-py-use-debugprint.patch
      + 45_ppds-py-use-debugprint.patch
      + 47_installpackage-return-only-if-installation-complete.patch
      + 50_newprinter-support-smb-printer-setup-without-samba-installed.patch
      + 53_fix-connections-list-in-new-printer-window.patch
      + 55_fix-identifying-network-printers-as-same-host.patch
      + 57_mark-ipp-printer-discovered-by-driverless-utility.patch
      + 60_prioritize-ipp-in-connections-list.patch
      + 63_do-not-use-driverless-ppd-on-non-ipp-connection.patch
      + 65_prefer-driverless-ppds.patch
      + 67_display-correct-icons.patch
  * Removed the upstreamized patches.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 26 May 2017 10:07:04 -0300

system-config-printer (1.5.9+20170523-0ubuntu2) artful; urgency=medium

  * Merged in changes from the Debian package, remaining Ubuntu changes:
    - debian/control.in:
      + Have system-config-printer depend on gir1.2-gnomekeyring-1.0 and
        gir1.2-packagekitglib-1.0, recommend avahi-utils, and only suggest
        python3-smbc. Also Breaks/Replaces: system-config-printer-gnome
      + Have system-config-printer-udev recommend ippusbxd
      + Let system-config-printer-gnome be a transitional package.
    - debian/local/70-printers.rules,
      debian/local/udev-configure-printer@.service:
      + Let systemd do the UDEV-triggered call of udev-configure-printer in a
        way so that systemd does not kill ippusbxd after some minutes.
    - debian/local/source_system-config-printer.py:
      + Apport hook
    - debian/patches/0010-no-start-printer-applet-gnome.patch
      + Also do not start printer applet with Unity and LXDE.
    - debian/patches/03_install_layout.patch
      + Install with --install-layout=deb
    - debian/patches/05_menu_entries.patch:
      + Show 'Printers' in Unity Settings app.
    - debian/patches/06_rename_settings_panel.patch:
      + Rename app name to 'Printers' for better UI consistency with Unity
    - debian/patches/07_driver-auto-download-configuration.patch:
      + Allow installing packages and non-free software via OpenPrinting
    - debian/patches/33_ipp-over-usb-support.patch:
      + debian/patches/support for IPP-over-USB printers using ippusbxd
    - debian/patches/40_do-not-show-media-col-option.patch:
      + Suppress the display of the "media-col" attribute since this is not a
        user-configurable option
    - debian/patches/43_options-py-use-debugprint.patch, 45_ppds-py-use-debugprint.patch:
      + Silence console output
    - debian/patches/47_installpackage-return-only-if-installation-complete.patch:
      + Don't exit when installing a package via installpackage.py until the
        package is completely installed.
    - debian/patches/50_newprinter-support-smb-printer-setup-without-samba-installed.patch:
      + Allow setup of SMB printers without Samba client software installed.
        Install the software as soon as it is needed for browsing the network
        and using the printer.
    - debian/patches/53_fix-connections-list-in-new-printer-window.patch:
      + Fixed connection type list for detected/discovered printers on the
        "Devices" tab of the new-printer window. The list was too small so
        that the options were not visible.
    - debian/patches/55_fix-identifying-network-printers-as-same-host.patch:
      + In some cases two entries under the discovered network printers were
        not identified as coming from the same host (= physical printer).
        Fixed.
    - debian/patches/57_mark-ipp-printer-discovered-by-driverless-utility.patch:
      + If an IPP printer is discovered by the "driverless" utility from
        cups-filters, give it a "driverless" mark in the list of possible
        connections for the network printers, to guide the user to an easy
        way to set up the printer.
    - debian/patches/60_prioritize-ipp-in-connections-list.patch:
      + As IPP is the most modern and sophisticated network printing protocol
        and especially supports driverless printing, let IPP options show first
        in the list of possible connections for a discovered network printer.
        Only HPLIP stays more highly prioritized as for HP multi-function
        devices as HPLIP print queue is required for the scanner to work.
    - debian/patches/63_do-not-use-driverless-ppd-on-non-ipp-connection.patch:
      + Make sure that auto-generated PPD files for driverless printing are
        not used when another connection type than IPP is used for the printer.
        In driverless printing options are sent to the printers as IPP
        attributes.
    - debian/patches/65_prefer-driverless-ppds.patch:
      + Prioritize auto-generated PPD files for driverless printing, as
        they poll the properties from the printer, they represent the
        printer best.
    - debian/patches/67_display-correct-icons.patch:
      + Fixed display of printer icons in the main window, now the icons
        correctly represent local printers and network prrinters.
    - debian/python3-cupshelpers.install:
      + Install debug.py and smburi.py into python3-cupshelpers package,
        needed by the patches.
      + Fixed mask for *.egg-info file.
    - debian/system-config-printer-common.install:
      + Install Apport hook.
    - debian/system-config-printer-udev.install:
      + Install UDEV and systemd files for ippusbxd support.
  * Refreshed patches with quilt:
    - 05_menu_entries.patch
  * Added "Requires=cups.socket" and "After=cups.socket" to
    debian/local/udev-configure-printer@.service

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 24 May 2017 16:23:30 -0300

system-config-printer (1.5.9+20170523-0ubuntu1) artful; urgency=medium

  * New upstream release
    - GIT snapshot from May 23, 2017, after 1.5.9 release
  * Refreshed patches with quilt:
    - 03_install_layout.patch
    - 06_rename_settings_panel.patch
    - 40_do-not-show-media-col-option.patch
    - 65_prefer-driverless-ppds.patch
    - 67_display-correct-icons.patch

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 23 May 2017 23:02:30 -0300

system-config-printer (1.5.7+20160812-0ubuntu9) zesty; urgency=medium

  * Do the python3-smbc move for realz.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 10 Apr 2017 09:47:46 +0100

system-config-printer (1.5.7+20160812-0ubuntu8) zesty; urgency=medium

  * Moved python3-smbc from Recommends: to Suggests:. This package is not
    always needed and auto-installed by system-config-printer if actually
    needed, so we do not need to pull it on initial installation
    (LP: #1667003).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 23 Mar 2017 10:48:00 -0300

system-config-printer (1.5.7+20160812-0ubuntu7) zesty; urgency=medium

  * Fixed connection type list for detected/discovered printers on the
    "Devices" tab of the new-printer window. The list was too small so
    that the options were not visible.
  * In some cases two entries under the discovered network printers were
    not identified as coming from the same host (= physical printer).
    Fixed.
  * If an IPP printer is discovered by the "driverless" utility from
    cups-filters, give it a "driverless" mark in the list of possible
    connections for the network printers, to guide the user to an easy
    way to set up the printer.
  * As IPP is the most modern and sophisticated network printing protocol
    and especially supports driverless printing, let IPP options show first
    in the list of possible connections for a discovered network printer.
    Only HPLIP stays more highly prioritized as for HP multi-function
    devices as HPLIP print queue is required for the scanner to work.
  * Make sure that auto-generated PPD files for driverless printing are
    not used when another connection type than IPP is used for the printer.
    In driverless printing options are sent to the printers as IPP
    attributes.
  * Prioritize auto-generated PPD files for driverless printing, as
    they poll the properties from the printer, they represent the
    printer best.
  * Fixed display of printer icons in the main window, now the icons
    correctly represent local printers and network prrinters.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 22 Mar 2017 21:00:00 -0300

system-config-printer (1.5.7+20160812-0ubuntu6) zesty; urgency=medium

  * Fixed IPP-over-USB printer support. IPP-over-USB is designed for
    driverless use of USB printers by giving the possibility to query
    all information needed to print on the printer (auto-generaste a
    PPD file) from the printer via IPP. Therefore we actually generate
    a PPD file based on IPP query. This also adds support for all
    USB-connected IPP Everywhere and Apple AirPrint printer if we do
    not have a specific PPD file or driver for them.
  * Let the binary package system-config-printer-udev recommend ippusbxd
    (1.23-1ubuntu1 or newer) and cups-filters-core-drivers (for the
    "driverless" utility, 1.13.4 or newer).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 20 Mar 2017 16:31:51 -0300

system-config-printer (1.5.7+20160812-0ubuntu5) zesty; urgency=medium

  * Add transitional system-config-printer-gnome package to ease upgrades.
    (LP: #1643129)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Dec 2016 20:22:47 -0500

system-config-printer (1.5.7+20160812-0ubuntu4) zesty; urgency=medium

  * Bump Breaks/Replaces to correct Ubuntu version for removal
    of system-config-printer-gnome

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 24 Nov 2016 20:03:43 -0500

system-config-printer (1.5.7+20160812-0ubuntu3) zesty; urgency=medium

  * Sync packaging with Debian. Remaining changes:
    - debian/control.in:
      + Have system-config-printer depend on gir1.2-gnomekeyring-1.0 and
        gir1.2-packagekitglib-1.0 and recommend avahi-utils
      + Have system-config-printer-udev recommend ippusbxd
    - debian/rules:
      + Run autoreconf
    - debian/python3-cupshelpers.install:
      + Tweak the install rule so the build works on Ubuntu
    - debian/local/source_system-config-printer.py,
      debian/system-config-printer-common.install:
      + Install apport hook
    - debian/system-config-printer-udev.install, debian/local/70-printers.rules,
      debian/local/udev-configure-printer@.service:
      + Let systemd do the UDEV-triggered call of udev-configure-printer in a
        way so that systemd does not kill ippusbxd after some minutes.
    - Add 05_menu_entries.patch:
      + Show 'Printers' in Unity Settings app.
    - Add 06_rename_settings_panel.patch:
      + Rename app name to 'Printers' for better UI consistency with Unity
    - Add 07_driver-auto-download-configuration.patch:
      + Allow installing packages and non-free software via OpenPrinting
    - Add 23_applet-also-do-not-autostart-on-unity-and-gnome.patch:
      + Don't autostart the applet in GNOME, LXDE or Unity
    - Add 33_ipp-over-usb-support.patch:
      + Add support for IPP-over-USB printers using ippusbxd
    - Add 40_do-not-show-media-col-option.patch:
      + Suppress the display of the "media-col" attribute since this is not a
        user-configurable option
    - Add 43_options-py-use-debugprint.patch, 45_ppds-py-use-debugprint.patch:
      + Silence console output
    - Add 47_installpackage-return-only-if-installation-complete.patch:
      + Don't exit when installing a package via installpackage.py until the
        package is completely installed.
    - Add 50_newprinter-support-smb-printer-setup-without-samba-installed.patch:
      + Allow setup of SMB printers without Samba client software installed.
        Install the software as soon as it is needed for browsing the network
        and using the printer.
    - Refresh patches:
      + 0007-fix-pk-package-name.patch
      + 07_driver-auto-download-configuration.patch
    - Drop patches applied in new version:
      + 0008-fix-device-sorting.patch
      + 0009-fix-udev-add-printer-shbang.patch
    - Build from git snapshot
  * debian/control.in:
    - Set Breaks/Replaces for system-config-printer-gnome split undo
      (LP: #1643129)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 19 Nov 2016 14:59:44 -0500

system-config-printer (1.5.7-2) unstable; urgency=medium

  * Move part of system-config-printer to system-config-printer-common
    package, gnome-control-center only needs a subset of system-config-printer
  * debian/control.in: s/gnome-packagekit-session/gnome-software, the former
    is a transitional package
  * debian/control.in: Bump Standards-Version to 3.9.8 (no further changes)
  * Drop debian/gpk-install-package-name, this doesn't seem needed anymore
  * Drop adwaita-icon-theme dependency, try to avoid individual packages to
    depend against themes.
  * Add debian/patches/0008-fix-device-sorting.patch: Fix sorting of devices,
    taken from upstream
  * Drop debian/patches/0002-Disable-firewall-checks.patch: firewalld is
    available in Debian as well, let's integrate with it.
  * Add debian/patches/0009-fix-udev-add-printer-shbang.patch: Fix incorrect
    python3 invocation, taken from upstream (Closes: #823472)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 02 Jun 2016 11:16:46 +0200

system-config-printer (1.5.7-1) unstable; urgency=medium

  * New upstream release.
  * Add Tim Waugh's public key to debian/upstream/signing-key.asc and
    tell uscan to check the tarball signatures.
  * Drop 0001-Adjust-python-paths.patch, not needed as all Python source
    files are installed into the same directory.
  * Refresh other patches via quilt.
  * Rename python-cupshelpers to python3-cupshelpers, following upstream
    switch to Python 3.
  * debian/control:
    - Replace python-* with python3-*.
    - Replace python-pycurl with python3-requests.
    - Replace gnome-icon-theme with adwaita-icon-theme.
    - Drop ancient hal-cups-utils conflicts, that package is not even in
      oldoldstable (aka squeeze).
    - Remove trailing whitespace from package descriptions.
  * Add 03_install_layout.patch to install cupshelpers Python module to
    correct location (copied from Ubuntu).
  * debian/gpk-install-package-name:
    - Update to make it work with Python 3.
    - Minor refactorings.
  * Rewrite debian/copyright using 1.0 format.
  * Bump debhelper compatibility level to 9.
  * No-op wrap and sort.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 18 Sep 2015 12:12:29 +0300

system-config-printer (1.4.8-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.
    - Fixes TypeError when trying to change printer properties
      (closes: #791705)
  * Drop patches obsoleted by upstream changes:
    - 0003-Use-our-custom-cpk-install-package-name.patch
    - 0008-return-exception-rather-than-looping.patch
  * Refresh patches via quilt
  * Fix package description spelling error caught by lintian
    - Insert 'one' in ... allow one to...

  [ Dmitry Shachnev ]
  * Drop python-gobject-2 dependency, no longer needed.
  * Build-depend on python, instead of unneeded python-all-dev.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 15 Sep 2015 15:11:44 +0300

system-config-printer (1.4.6-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Drop obsolete python-gnomekeyring Suggests, the package has been
    ported to use GnomeKeyring via introspection.

  [ Laurent Bigonville ]
  * New upstream release (Closes: #744869)
  * debian/control.in: Bump Standards-Version to 3.9.6 (no further changes)
  * debian/rules: Pass --with-udevdir to the configure, to install the udev
    helpers and config files to the proper directory
  * debian/system-config-printer-udev.install: The udev helpers and the
    config files are now installed in the proper directory
  * d/p/0003-Use-our-custom-cpk-install-package-name.patch,
    d/p/0006-use-paper-size-default-in-etc-papersize.patch: Refreshed
  * Drop d/p/0005-Fix-French-translation.patch,
    d/p/0007-scp-dbus-service-fix-dbus-signature-typo.patch: Merged upstream
  * Drop debian/patches/0008-fix-udevhelperdir.patch: The path is expanded
    properly
  * Add debian/patches/0007-fix-pk-package-name.patch: Fix the package names
    that PackageKit should try to install
  * debian/system-config-printer.install: Install appdata file
  * d/p/0008-return-exception-rather-than-looping.patch: This patch should fix
    the infinite loop creating million of symlinks in /tmp (Closes: #764253)
  * debian/control.in: Suggest gnome-packagekit-session instead of
    sessioninstaller (Closes: #623013)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 23 Oct 2014 01:29:14 +0200

system-config-printer (1.4.3-4) unstable; urgency=medium

  * d/p/0008-fix-udevhelperdir.patch: Use the debian location for
    udev-configure-printer

 -- Laurent Bigonville <bigon@debian.org>  Tue, 25 Feb 2014 01:52:27 +0100

system-config-printer (1.4.3-3) unstable; urgency=medium

  * debian/rules: Pass --list-missing to dh_install
  * debian/rules, debian/system-config-printer-udev.install: Install systemd
    configure-printer@.service file (Closes: #739964)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 25 Feb 2014 00:03:14 +0100

system-config-printer (1.4.3-2) unstable; urgency=medium

  * debian/control.in:
    - Add dependency against python-gobject-2 and python-cairo
      (Closes: #730516)
    - Bump Standards-Version to 3.9.5 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 24 Feb 2014 00:34:18 +0100

system-config-printer (1.4.3-1) unstable; urgency=low

  * New upstream release (Closes: #727556)
    - Fix some Unicode-related issues (Closes: #718263, #725882)
  * d/p/0006-use-paper-size-default-in-etc-papersize.patch: Detect paper size
    using /etc/papersize if it's available, thanks to the Ubuntu guys
    (Closes: #593219)
  * d/p/0007-scp-dbus-service-fix-dbus-signature-typo.patch: Fix typo in a
    D-Bus method signature (Taken from Ubuntu, thanks)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 26 Oct 2013 14:58:35 +0200

system-config-printer (1.4.1-4) unstable; urgency=low

  * Switch from pysupport to dh_python2
  * debian/control.in: Add python-gi to the dependencies (Closes: #717153)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 16 Sep 2013 08:38:32 +0200

system-config-printer (1.4.1-3) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in: Bump python-smbc to Recommends (Closes: #611303)

  [ Emilio Pozuelo Monfort ]
  * debian/system-config-printer.maintscript:
    + Tell dpkg about the new conffile names. Closes: #711633.
  * debian/control.in:
    + Bump Standards-Version to 3.9.4, no changes needed.
    + Build depend on autotools-dev to get updated config.{sub,guess}.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 10 Jun 2013 16:02:14 +0200

system-config-printer (1.4.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 25 May 2013 15:58:31 +0200

system-config-printer (1.4.1-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Change the maintainer to the GNOME team. Thanks Otavio for all
    your work!

  [ Jordi Mallach ]
  * Don't search for .bz2 tarballs, only .xz is supported.
  * Fix get-orig-source by using more gnome-get-source.mk variables to
    build the download URL.
  * Remove obsolete postinst script.
  * Bump debhelper compatibility to 8.
  * Remove debian/tmp prefix from .install files.
  * Update Vcs-* fields to non-redirected URLs.

  [ Josselin Mouette ]
  * Update repository URL.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + Doesn't use deprecated udev functions. Closes: #705521.
    + debian/control.in:
      - Update build dependencies.
      - Update dependencies for the GI migration.
      - Bump python-cups dependency to 1.9.60.
    + debian/install:
      - Renamed to debian/system-config-printer.install.
    + debian/rules,
      debian/system-config-printer.install:
      - Remove various hacks in debian/rules and just install the upstream
        script to run system-config-printer{,-applet}.
    + debian/rules:
      - Remove debug.py instead of options.py as that's what we're copying.
    + debian/system-config-printer.install:
      - Install the dbus service files and the necessary binaries.
        Closes: #705414.
    + debian/patches/0004-Fix-MITM-via-unencrypted-metadata-download.patch:
      - Removed, included upstream.
    + debian/patches/*:
      - Refreshed.
  * Upload to experimental until the python-cups dependency can be satisfied
    in unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 25 May 2013 14:00:55 +0200

system-config-printer (1.3.7-4) unstable; urgency=low

  * debian/control.in: Add missing Depends against python-dbus
    (Closes: #627810)
  * debian/python-cupshelpers.install: Install missing
    /etc/cupshelpers/preferreddrivers.xml file (Closes: #695582)
  * debian/patches/0005-Fix-French-translation.patch: Fix confusing French
    translation (Closes: #615113)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 25 Jan 2013 21:53:18 +0100

system-config-printer (1.3.7-3) unstable; urgency=low

  * Upload to unstable
  * Bump standards version to 3.9.2. No source changes.
  * Remove now superfulous '/usr/bin/env' removal.  Upstream removed this
    already.
  * Adjust download URL

 -- Guido Günther <agx@sigxcpu.org>  Thu, 22 Dec 2011 19:46:52 +0100

system-config-printer (1.3.7-2) experimental; urgency=low

  * Add pycurl dependency to control.in too.
    Thanks; Michael Biebl (Closes: #652387)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 17 Dec 2011 12:56:42 +0100

system-config-printer (1.3.7-1) experimental; urgency=low

  * New upstream version 1.3.7 (Closes: #642211)
  * Update watch file.
    Upstream uses xz now (Closes: #646320)
  * Drop superfluous patches.
        0003-Adjust-package-names.patch
        0004-Fix-blacklist-name.patch
        0005-Revert-to-the-correct-menu-category.patch
        0006-Don-t-blindly-listen-to-any-signal.patch
  * configure: Enable installation of udev rule
  * Fix MITM via unencrypted metadata download (CVE-2011-4405).
    Patch taken from Ubuntu. Thanks to Till Kamppeter

 -- Guido Günther <agx@sigxcpu.org>  Tue, 13 Dec 2011 20:57:36 +0100

system-config-printer (1.2.3-3) unstable; urgency=high

  * Depend on libxml2 (Closes: #597723)
  * Make system-config-printer conflict on hal-cups-utils to help
    lenny->>squeeze updates. Otherwise hal-cups-utils won't get removed. See
    http://lists.debian.org/debian-release/2010/09/msg00923.html for a
    discussion.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 28 Sep 2010 10:48:07 +0200

system-config-printer (1.2.3-2) unstable; urgency=low

  * python-cupshelpers: Don't Break and Replace python-cupsutils since we
    don't share any files and this eases upgrades via apt-get.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 12 Sep 2010 17:42:18 +0200

system-config-printer (1.2.3-1) unstable; urgency=medium

  [ Guido Günther ]
  * Add Vcs-{Svn,Browser} and Homepage URLs
  * Add myself to uploaders
  * pyversions, control.in: require python 2.6 (Closes: #594901)

  [ Josselin Mouette ]
  * pyversions, control.in: require python 2.5. Closes: #594402.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Aug 2010 13:25:48 +0200

system-config-printer (1.2.3-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Upload to unstable.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Aug 2010 17:49:59 +0200

system-config-printer (1.2.3-0.2) experimental; urgency=low

  * Non-maintainer upload.
  * Install debug.py and smburi.py in the cupshelpers package
    (Closes: #525714)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 13 Aug 2010 20:29:23 +0200

system-config-printer (1.2.3-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New Upstream version 1.2.3 (Closes: #49333)
        - No deprecation warnings (Closes: #574636)
        - Uses udev instead of hal (Closes: #568477, #581511)
        - uses PolicyKit (Closes: #499284)
  * Conflict on hal-cups-utils since system-config-printer-udev provides this
    functionality now.
  * Use cups-pk-helper instead of gksu (Closes: #469587, #479829)
  * Move package to section gnome. (Closes: #590571)
  * Rename python-cupsutils to python-cupshelpers
  * Switch to 3.0 (quilt) format
  * Bump standard version to 3.9.1
  * New patches:
       - 0002-Disable-firewall-checks.patch. Disable RH specific firewall
         checks
       - 0003-Adjust-package-names.patch. Adjust package names to match the
         Debian ones
       - 0004-Fix-blacklist-name.patch. Fix blacklist name
       - 0007-Use-our-custom-cpk-install-package-name.patch use packagekit
         when available
  * Updated patches:
       - 0001-Adjust-python-paths.patch
         0005-Revert-to-the-correct-menu-category.patch
         0006-Don-t-blindly-listen-to-any-signal.patch
  * Dropped pachtes:
      - 01_no_rhpl: fixed upstream.
      - 02_translations: upstream translation updates seem to include these
      - 03_elementtree: not needed anymore.
      - 04_jobsheets_traceback.patch: fixed upstream
      - 08_stock_icons.patch: fixed upstream
      - 11_use_gksu.patch: gksu replaced by PolicyKit
      - 12_remove_redhat: fixed upstream.
      - 15_close_shortcut.patch: close is more consistent with other applets
      - 17_new_printer_notification.patch: fixed upstream, applet gets the new
        printer notifications
      - 19_dbus_interfaces.patch: fixed upstream
      - 31_browse_hang: code changed
      - 32_pycups_traceback.patch: fixed upstream
      - 30_install_traceback.patch: fixed upstream
      - 33_dont_strip_Printer.patch: code changed

 -- Guido Günther <agx@sigxcpu.org>  Wed, 28 Jul 2010 12:22:57 +0200

system-config-printer (1.0.0-6) unstable; urgency=low

  * The “We’ll deal with the rest later” release.
  * Move smburi.py to python-cupsutils.
  * This allows system-config-printer-kde to not depend on 
    system-config-printer. Closes: #525714.
  * Update 13_python_paths.patch accordingly.

 -- Josselin Mouette <joss@debian.org>  Wed, 17 Jun 2009 10:50:17 +0200

system-config-printer (1.0.0-5) unstable; urgency=low

  [ Loic Minier ]
  * Don't purge /etc/xdg/autostart/redhat-print-applet.desktop during first
    installation.

  [ Josselin Mouette ]
  * 19_dbus_interfaces.patch: remove redundant send_interface lines in 
    the dbus configuration file. Closes: #510756.
  * 02_translations.patch: new Romanian translation from Eddy Petrișor.
    Closes: #519217.
  * Standards version is 3.8.1.

 -- Josselin Mouette <joss@debian.org>  Wed, 01 Apr 2009 13:20:11 +0200

system-config-printer (1.0.0-4) unstable; urgency=low

  * Require desktop-file-utils 0.13. Closes: #499382, thanks Tom Parker.
  * Depend on gnome-icon-theme. Closes: #506282.

 -- Josselin Mouette <joss@debian.org>  Thu, 20 Nov 2008 09:49:02 +0100

system-config-printer (1.0.0-3) unstable; urgency=low

  * 02_translations.patch:
    + Updated Catalan translation by David Planella. Closes: #494092.
    + Updated Finnish translation by Esko Arajärvi. Closes: #498106.
  * 04_jobsheets_traceback.patch: new patch. Don't send None to 
    setPrinterJobSheets, send "none" instead. Don't send anything if 
    nothing was selected. Closes: #486941, #486580.
  * Standards version is 3.8.0, no changes.

 -- Josselin Mouette <joss@debian.org>  Fri, 12 Sep 2008 17:50:55 +0200

system-config-printer (1.0.0-2) unstable; urgency=low

  * Switch to quilt for patch management; build-depend on quilt.
  * Merge all translation updates in 02_translations.patch.
  * New translations:
    + Spanish (Javier Fernández-Sanguino Peña)
    + Vietnamese (Clytie Siddall)
    + Russian (Yuri Kozlov), closes: #485654
    + German (Helge Kreutzmann), closes: #485982
    + Basque (Piarres Beobide)
    + simplified Chinese (Deng Xiyue), closes: #486198
    + Turkish (Mert Dirik).
    + Czech (Martin Šín), closes: #486379.
  * Recommend hal-cups-utils.
  * 15_close_shortcut.patch: use gtk-close instead of gtk-quit, so that 
    the default shortcuts to close a window are used.
  * 16_dont_monitor_session.patch: don’t blindly listen to any signal 
    that goes through the session bus. Gnome-session will know when to 
    kill the applet. Closes: #486674, thanks Michal Čihař.
  * 17_new_printer_notification.patch: allow anyone to listen to the new 
    printer notification dbus signal. Closes: #486613.
  * 18_debian_packages.patch:
    + List the correct Debian packages that provide the given programs.
    + Use gksu+synaptic to install the packages.
    + Launch gksu+s-c-p to configure the printers from the applet.
  * Install the new debutils.py file.
  * Recommend synaptic.
  * 13_python_paths.patch: also fix the shebangs.
  * 30_install_traceback.patch, 31_browse_hang.patch, 
    32_pycups_traceback.patch, 33_dont_strip_Printer.patch: stolen from 
    upstream’s git tree. Fix a few crashers.
  * Upload to unstable; drop check-dist include.

 -- Josselin Mouette <joss@debian.org>  Sun, 22 Jun 2008 19:13:39 +0200

system-config-printer (1.0.0-1) experimental; urgency=low

  * New upstream release.
  * Update watch file and get-orig-source URL.
  * Target at experimental; include check-dist.mk.
  * 02_fr_po.patch: updated translations for the new version.
  * 04_de_po.patch: dropped, included upstream.
  * 05_vi_po.patch, 06_ru_po.patch, 07_es_po.patch: updated to apply 
    cleanly.
  * 08_stock_icons.patch: update for the new version.
  * 12_remove_redhat.patch: added; remove redhat- from the .desktop 
    names and X-RedHat-Base from the categories.
  * postinst: remove the old redhat-print-applet.desktop file.
  * Remove useless README.Debian.
  * Split utility modules in a python-cupsutils package, making them 
    public. They will be used by hal-cups-utils.
  * Remove the wrapper scripts in /usr/bin, put the python scripts 
    directly.
  * 13_python_paths.patch: new patch, modify python search paths and 
    imports according to these changes.
  * 11_use_gksu.patch: disable startup notification, which is broken by 
    gksu.

 -- Josselin Mouette <joss@debian.org>  Sun, 08 Jun 2008 13:18:20 +0200

system-config-printer (0.7.81-4) unstable; urgency=low

  * 07_es_po.patch: remove ISO8859 encoded text, leading to a crash when 
    using a Spanish local. Closes: #484136.

 -- Josselin Mouette <joss@debian.org>  Wed, 04 Jun 2008 01:11:21 +0200

system-config-printer (0.7.81-3) unstable; urgency=low

  * 06_ru_po.patch: updated Russian translation by Yuri Kozlov.
    Closes: #467176.
  * 07_es_po.patch: updated Spanish translation by Javier 
    Fernández-Sanguino Peña. Closes: #468580.
  * Drop dependency on python-xml. Closes: #468617.
  * pyversions: require python 2.4.
  * Depend on python-notify. Closes: #471943.
  * Depend on python-dbus.
  * Don't require python-elementtree when python version is >= 2.5.
  * 08_stock_icons.patch: use the "add" icon to add a printer, and the 
    "new" icon to create a group, in both the toolbar and the menu.

 -- Josselin Mouette <joss@debian.org>  Mon, 21 Apr 2008 18:50:08 +0200

system-config-printer (0.7.81-2) unstable; urgency=low

  * 04_de_po.patch: updated German translation by Helge Kreutzmann.
    Closes: #466305.
  * 05_vi_po.patch: updated Vietnamese translation by Clytie Siddall.
    Closes: #466377.
  * Depend on python-gnome2. Closes: #467094.

 -- Josselin Mouette <joss@debian.org>  Sat, 23 Feb 2008 09:26:24 +0100

system-config-printer (0.7.81-1) unstable; urgency=low

  * Put the package under co-maintenance by the GNOME team, on
    maintainer’s request.
  * rules: use uploaders.mk and gnome-get-source.mk.
  * Build-depend on gnome-pkg-tools.
  * Require python-cups 1.9.27. Closes: #457702.
  * 10_menu_entries.patch: revert to the correct menu category.
    Closes: #460865.
  * New upstream release.
    + Removes .png extension in the desktop file. Closes: #461023.
  * 01_no_rhpl.patch: updated for new version.
  * Rework the package description.
  * Rename 10_menu_entries.patch into 10_show_manage_jobs.patch.
  * 11_use_gksu.patch: launch system-config-printer using gksu.
    Closes: #460864, #460215.
  * Depend on gksu.
  * 02_fr_po.patch: fix French translation. Closes: #460861.
  * Depend on python-elementtree.
  * 03_elementtree.patch: support elementtree.ElementTree for pre-2.5 
    python versions.

 -- Josselin Mouette <joss@debian.org>  Sun, 17 Feb 2008 10:51:09 +0100

system-config-printer (0.7.78-1) unstable; urgency=low

  * Imported upstream version 0.7.78. Closes: #451808, #445245
  * Bump standards-version to 3.7.3 (no changes needed)
  * Use gettext instead of rhpl (taken from Ubuntu package)
  * Change menu entries (taken from Ubuntu package)
  * Remove makefile patch since it not needed anymore

 -- Otavio Salvador <otavio@ossystems.com.br>  Sun, 16 Dec 2007 00:15:42 -0200

system-config-printer (0.7.71-1) unstable; urgency=low

  * New Upstream Version

 -- Otavio Salvador <otavio@ossystems.com.br>  Fri, 03 Aug 2007 21:54:29 -0300

system-config-printer (0.7.70-2) unstable; urgency=low

  * Add xmlto to Build-Depends. Closes: #433746

 -- Otavio Salvador <otavio@ossystems.com.br>  Sun, 29 Jul 2007 21:30:37 -0300

system-config-printer (0.7.70-1) unstable; urgency=low

  * New Upstream Version

 -- Otavio Salvador <otavio@ossystems.com.br>  Sun, 15 Jul 2007 20:47:12 -0300

system-config-printer (0.7.69-1) unstable; urgency=low

  * New Upstream Version
  * debian/watch: Use git-import-orig instead of uupdate so it integrates
    better with our git repository.
  * debian/rules: Drop the code to fix the executable permissions on
    /usr/share since it's being done properly on upstream tarball.

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 04 Jul 2007 12:42:36 -0300

system-config-printer (0.7.66-1) unstable; urgency=low

  [ This package has been done using 0.7.62-0ubuntu1 sources as
    base. Thanks to Jani Monoses <jani@ubuntu.com> by his work on it ]

  * debian/copyright: Update download URI.
  * debian/watch: Add to allow easier upgrade of package version.
  * debian/control: Remove versioned dependency of python-cups.
  * debian/rules, debian/control: Move from python-central to python-support.
  * debian/rules: Fix, by hard, wrong executable permissions on /usr/share.

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 04 Jul 2007 12:33:01 -0300
